targets:
  $default:
    sources:
      - $package$
      - lib/**
      - bin/**
      - test/**
      - web/**
      - example/**
      - doc/**
      - tool/**
      - assets/**
      - pubspec.yaml
    builders:
      lunchpick|store_seed_builder:
        enabled: true

builders:
  store_seed_builder:
    import: "package:lunchpick/builders/store_seed_builder.dart"
    builder_factories: ["storeSeedBuilder"]
    build_extensions:
      "doc/restaurant_data/store.db":
        - "assets/data/store_seed.json"
        - "assets/data/store_seed.meta.json"
    auto_apply: root_package
    build_to: source
    runs_before: ["source_gen|combining_builder"]
    defaults:
      generate_for:
        - doc/restaurant_data/store.db
